Author Topic: Problem with timeshit program from aur.  (Read 2155 times)

0 Members and 1 Guest are viewing this topic.

Offline Ste74

  • Support Team
  • ****
  • Posts: 1256
  • sudo pacman -Rs windows && sudo pacman -S manjaro
  • Branch: unstable
  • Desktop: Budgie / Gnome / Pantheon (testing)
  • GPU Card: ATI/Intel mobility radeon hd 5400
  • GPU driver: free
  • Kernel: linux4.x -x86_64 series
  • Skill: Advanced
Problem with timeshit program from aur.
« on: 28. January 2015, 19:51:35 »
Hello guys i have pkg timeshit from aur and insert into a local-repo .
pacman -Syy nothing error.
when a build iso timeshift report error .
this is the my pkgbuild
Code: [Select]
# Contributor: Doug Newgard <scimmia22 at outlook dot com>
# Contributor: Robert Orzanna <orschiro at gmail dot com>
# Maintainer: Jay Garcia <morbidj at gmail dot com>


pkgname=timeshift
pkgver=1.6.2
pkgrel=1
pkgdesc="A system restore utility for Linux"
arch=('i686' 'x86_64')
url="https://launchpad.net/~teejee2008/+archive/ubuntu/ppa/"
license=('GPL')
depends=('gtk3' 'rsync' 'libgee06' 'libsoup' 'json-glib' 'desktop-file-utils')
optdepends=('gksu: run timeshift from a menu')
makedepends=('vala')
install=$pkgname.install
options=('!emptydirs')
source=("timeshift_1.6.2~144~ubuntu14.04.1.tar.gz")
md5sums=('SKIP')

build() {
  cd "$srcdir/timeshift-1.6.2~144~ubuntu14.04.1"

  make
}

package() {
  cd "$srcdir/timeshift-1.6.2~144~ubuntu14.04.1"

  make DESTDIR="$pkgdir" install
}

i have created pkg for libgee06 from aur and this work fine .
in cinnamon packages the libgee06 before timeshift
Code: [Select]
## AUR Access
autoconf
automake
binutils
bison
fakeroot
flex
gcc
libtool
m4
make
patch
subversion
yaourt

gnome-terminal
gnome-calculator
brasero
thunderbird
gnome-disk-utility
plank
plank-config

libgee06
timeshift

bho  :o :o

thank's in advance ..
Stefano
Pantheon Community Edition & Budgie Desktop Edition
www.forum.manjaro-it.org
Canale IRC italiano
#manjaro-it

Offline Esclapion

  • Support Team
  • ****
  • Posts: 5523
    • manjaro
  • Branch: stable
  • Desktop: Lxqt
  • GPU Card: GTX 970
  • GPU driver: nonfree
  • Kernel: 4.4.6
  • Skill: Advanced
Re: Problem with timeshit program from aur.
« Reply #1 on: 29. January 2015, 00:23:29 »
Hi,

Code: [Select]
when a build iso timeshift report error
Which error message ?
Venez nous rejoindre sur l'IRC francophone
Patrice - Violence is the last refuge of the incompetent (Asimov)

Offline Ste74

  • Support Team
  • ****
  • Posts: 1256
  • sudo pacman -Rs windows && sudo pacman -S manjaro
  • Branch: unstable
  • Desktop: Budgie / Gnome / Pantheon (testing)
  • GPU Card: ATI/Intel mobility radeon hd 5400
  • GPU driver: free
  • Kernel: linux4.x -x86_64 series
  • Skill: Advanced
Re: Problem with timeshit program from aur.
« Reply #2 on: 29. January 2015, 18:47:40 »
Hi esclapion You're right I am forgot to write it
Code: [Select]
(608/639) installing system-config-printer           [###########################] 100%
Optional dependencies for system-config-printer
    libgnome-keyring: password management [installed]
    python-pysmbc: SMB browser support
    python-packagekit: to install drivers with PackageKit
    cups-pk-helper: PolicyKit helper to configure cups with fine-grained privileges
    [pending]
(609/639) installing cups-pk-helper                  [###########################] 100%
(610/639) installing manjaro-printer                 [###########################] 100%
(611/639) installing lib32-bzip2                     [###########################] 100%
(612/639) installing lib32-libpng                    [###########################] 100%
(613/639) installing lib32-icu                       [###########################] 100%
(614/639) installing lib32-harfbuzz                  [###########################] 100%
(615/639) installing lib32-freetype2                 [###########################] 100%
(616/639) installing lib32-fontconfig                [###########################] 100%
updating font cache... done.
(617/639) installing lib32-libxrender                [###########################] 100%
(618/639) installing lib32-libxft                    [###########################] 100%
(619/639) installing libreoffice-installer           [###########################] 100%
(620/639) installing m4                              [###########################] 100%
(621/639) installing autoconf                        [###########################] 100%
(622/639) installing automake                        [###########################] 100%
(623/639) installing binutils                        [###########################] 100%
(624/639) installing bison                           [###########################] 100%
(625/639) installing fakeroot                        [###########################] 100%
(626/639) installing flex                            [###########################] 100%
(627/639) installing libmpc                          [###########################] 100%
(628/639) installing gcc                             [###########################] 100%
(629/639) installing libatomic_ops                   [###########################] 100%
(630/639) installing gc                              [###########################] 100%
(631/639) installing guile                           [###########################] 100%
(632/639) installing make                            [###########################] 100%
(633/639) installing patch                           [###########################] 100%
Optional dependencies for patch
    ed: for patch -e functionality
(634/639) installing apr                             [###########################] 100%
(635/639) installing apr-util                        [###########################] 100%
Optional dependencies for apr-util
    gdbm: enable gdbm support [installed]
    libldap: enable ldap support [installed]
    unixodbc: enable odbc support
    libmariadbclient: enable mysql/mariadb support
    postgresql-libs: enable postgres support
    db: enable berkley db support [installed]
    sqlite: enable sqlite support [installed]
    nss: enable nss crypto support [installed]
    openssl: enable openssl crypto support [installed]
(636/639) installing serf                            [###########################] 100%
(637/639) installing subversion                      [###########################] 100%
Optional dependencies for subversion
    libgnome-keyring: for GNOME Keyring for auth credentials [installed]
    kdebase-runtime: for KWallet for auth credentials
    bash-completion: for svn bash completion
    python2: for some hook scripts [installed]
    java-environment: for Java support
    ruby: for some hook scripts
(638/639) installing libgee06                        [###########################] 100%
(639/639) installing timeshift                       [###########################] 100%
Optional dependencies for timeshift
    gksu: run timeshift from a menu [installed]
Cleaning up what we can
warning: ncurses will be installed before its bash dependency
warning: dependency cycle detected:
warning: libtxc_dxtn will be installed before its mesa dependency
warning: dependency cycle detected:
warning: harfbuzz will be installed before its freetype2 dependency
warning: database file for 'core' does not exist
warning: database file for 'extra' does not exist
warning: database file for 'community' does not exist
warning: database file for 'multilib' does not exist
warning: database file for 'local-repo' does not exist
warning: mhwd-0.5.1-1 is up to date -- reinstalling
warning: skipping target: gnome-disk-utility
warning: polkit-0.112-2 is up to date -- reinstalling
warning: net-tools-1.60.20130531git-1 is up to date -- reinstalling
warning: nss-3.17.3-2 is up to date -- reinstalling
warning: skipping target: flashplugin
warning: skipping target: pavucontrol
warning: skipping target: gnome-calculator
warning: skipping target: brasero
warning: skipping target: gnome-disk-utility
warning: skipping target: plank
warning: skipping target: plank-config
warning: dependency cycle detected:
warning: lib32-harfbuzz will be installed before its lib32-freetype2 dependency
warning: /home/ste74/work/manjaroiso/configs/cinnamon/work-x86_64/cinnamon-image/etc/pulse/daemon.conf saved as /home/ste74/work/manjaroiso/configs/cinnamon/work-x86_64/cinnamon-image/etc/pulse/daemon.conf.pacorig
warning: /home/ste74/work/manjaroiso/configs/cinnamon/work-x86_64/cinnamon-image/etc/pulse/default.pa saved as /home/ste74/work/manjaroiso/configs/cinnamon/work-x86_64/cinnamon-image/etc/pulse/default.pa.pacorig
error: command failed to execute correctly
warning: directory ownership differs on /home/ste74/work/manjaroiso/configs/cinnamon/work-x86_64/cinnamon-image/etc/cups/
filesystem: 0:7  package: 0:0
umount: /home/ste74/work/manjaroiso/configs/cinnamon/work-x86_64/cinnamon-image/dev: target is busy
        (In some cases useful info about processes that
         use the device is found by lsof(8) or fuser(1).)
warning: database file for 'core' does not exist
warning: database file for 'extra' does not exist
warning: database file for 'community' does not exist
warning: database file for 'multilib' does not exist
warning: database file for 'local-repo' does not exist
umount: /home/ste74/work/manjaroiso/configs/cinnamon/work-x86_64/cinnamon-image/dev: target is busy
        (In some cases useful info about processes that
         use the device is found by lsof(8) or fuser(1).)

==> ---
==> The script buildiso encountered an error
==> No ISO image has been created
==> ---

==> End of process



Thank you .
Pantheon Community Edition & Budgie Desktop Edition
www.forum.manjaro-it.org
Canale IRC italiano
#manjaro-it

Offline fassil

  • Support Team
  • ****
  • Posts: 709
  • Branch: stable/unstable
  • Desktop: E19/E20
  • GPU driver: free
  • Kernel: Linux314 & 318
  • Skill: Intermediate
Re: Problem with timeshit program from aur.
« Reply #3 on: 29. January 2015, 18:52:35 »
Yep, quite the same error message than me in following post. I suspect a buildiso script change, because with the previous version, it works again here.
« Last Edit: 29. January 2015, 18:54:38 by fassil »
"Are you enlightened ?"

Offline Ste74

  • Support Team
  • ****
  • Posts: 1256
  • sudo pacman -Rs windows && sudo pacman -S manjaro
  • Branch: unstable
  • Desktop: Budgie / Gnome / Pantheon (testing)
  • GPU Card: ATI/Intel mobility radeon hd 5400
  • GPU driver: free
  • Kernel: linux4.x -x86_64 series
  • Skill: Advanced
Re: Problem with timeshit program from aur.
« Reply #4 on: 29. January 2015, 18:54:22 »
hi fassil i read now your post . yes , at the end is the same error  ???
Pantheon Community Edition & Budgie Desktop Edition
www.forum.manjaro-it.org
Canale IRC italiano
#manjaro-it

Offline Esclapion

  • Support Team
  • ****
  • Posts: 5523
    • manjaro
  • Branch: stable
  • Desktop: Lxqt
  • GPU Card: GTX 970
  • GPU driver: nonfree
  • Kernel: 4.4.6
  • Skill: Advanced
Re: Problem with timeshit program from aur.
« Reply #5 on: 29. January 2015, 19:09:39 »
I had also a prob like this. I hope the old manjaroiso will be available, the new one don't work for me.  :(
Venez nous rejoindre sur l'IRC francophone
Patrice - Violence is the last refuge of the incompetent (Asimov)

Offline Ste74

  • Support Team
  • ****
  • Posts: 1256
  • sudo pacman -Rs windows && sudo pacman -S manjaro
  • Branch: unstable
  • Desktop: Budgie / Gnome / Pantheon (testing)
  • GPU Card: ATI/Intel mobility radeon hd 5400
  • GPU driver: free
  • Kernel: linux4.x -x86_64 series
  • Skill: Advanced
Re: Problem with timeshit program from aur.
« Reply #6 on: 29. January 2015, 19:17:38 »
Its possible return to preview manjaroiso with pacman ?
Pantheon Community Edition & Budgie Desktop Edition
www.forum.manjaro-it.org
Canale IRC italiano
#manjaro-it

Offline Esclapion

  • Support Team
  • ****
  • Posts: 5523
    • manjaro
  • Branch: stable
  • Desktop: Lxqt
  • GPU Card: GTX 970
  • GPU driver: nonfree
  • Kernel: 4.4.6
  • Skill: Advanced
Re: Problem with timeshit program from aur.
« Reply #7 on: 29. January 2015, 19:27:33 »
afaik, no. We don't have an ARM as arch.
Venez nous rejoindre sur l'IRC francophone
Patrice - Violence is the last refuge of the incompetent (Asimov)

Offline Ste74

  • Support Team
  • ****
  • Posts: 1256
  • sudo pacman -Rs windows && sudo pacman -S manjaro
  • Branch: unstable
  • Desktop: Budgie / Gnome / Pantheon (testing)
  • GPU Card: ATI/Intel mobility radeon hd 5400
  • GPU driver: free
  • Kernel: linux4.x -x86_64 series
  • Skill: Advanced
Re: Problem with timeshit program from aur.
« Reply #8 on: 29. January 2015, 19:51:35 »
We must then use tools Manjaro the new script?

https://github.com/manjaro/manjaro-tools
Pantheon Community Edition & Budgie Desktop Edition
www.forum.manjaro-it.org
Canale IRC italiano
#manjaro-it

Offline Esclapion

  • Support Team
  • ****
  • Posts: 5523
    • manjaro
  • Branch: stable
  • Desktop: Lxqt
  • GPU Card: GTX 970
  • GPU driver: nonfree
  • Kernel: 4.4.6
  • Skill: Advanced
Re: Problem with timeshit program from aur.
« Reply #9 on: 29. January 2015, 20:02:01 »
Yes, but it don't work for me. If you try, takes this of unstable.
Venez nous rejoindre sur l'IRC francophone
Patrice - Violence is the last refuge of the incompetent (Asimov)

Offline Ste74

  • Support Team
  • ****
  • Posts: 1256
  • sudo pacman -Rs windows && sudo pacman -S manjaro
  • Branch: unstable
  • Desktop: Budgie / Gnome / Pantheon (testing)
  • GPU Card: ATI/Intel mobility radeon hd 5400
  • GPU driver: free
  • Kernel: linux4.x -x86_64 series
  • Skill: Advanced
Re: Problem with timeshit program from aur.
« Reply #10 on: 29. January 2015, 21:38:12 »
Ok I'll study the new tool,you never stop learning

 ;) ;)
Pantheon Community Edition & Budgie Desktop Edition
www.forum.manjaro-it.org
Canale IRC italiano
#manjaro-it

Offline Esclapion

  • Support Team
  • ****
  • Posts: 5523
    • manjaro
  • Branch: stable
  • Desktop: Lxqt
  • GPU Card: GTX 970
  • GPU driver: nonfree
  • Kernel: 4.4.6
  • Skill: Advanced
Re: Problem with timeshit program from aur.
« Reply #11 on: 29. January 2015, 21:41:17 »
For info :

Code: [Select]
Cleaning up what we can
warning: database file for 'core' does not exist
warning: database file for 'extra' does not exist
warning: database file for 'community' does not exist
umount: /home/pat/manjaroiso/configs/lxqt/work-i686/lxqt-image/dev: target is busy
        (In some cases useful info about processes that
         use the device is found by lsof(8) or fuser(1).)
[pat@x32 lxqt]$
Venez nous rejoindre sur l'IRC francophone
Patrice - Violence is the last refuge of the incompetent (Asimov)

Offline Esclapion

  • Support Team
  • ****
  • Posts: 5523
    • manjaro
  • Branch: stable
  • Desktop: Lxqt
  • GPU Card: GTX 970
  • GPU driver: nonfree
  • Kernel: 4.4.6
  • Skill: Advanced
Re: Problem with timeshit program from aur.
« Reply #12 on: 29. January 2015, 23:07:42 »
The manjaroiso of the "master" branch works for me.  ^-^

Code: [Select]
cd /tmp
git clone https://github.com/manjaro/manjaroiso
cd manjaroiso/src
sudo make install
Venez nous rejoindre sur l'IRC francophone
Patrice - Violence is the last refuge of the incompetent (Asimov)

Offline Ste74

  • Support Team
  • ****
  • Posts: 1256
  • sudo pacman -Rs windows && sudo pacman -S manjaro
  • Branch: unstable
  • Desktop: Budgie / Gnome / Pantheon (testing)
  • GPU Card: ATI/Intel mobility radeon hd 5400
  • GPU driver: free
  • Kernel: linux4.x -x86_64 series
  • Skill: Advanced
Re: Problem with timeshit program from aur.
« Reply #13 on: 30. January 2015, 23:02:23 »
thanks Esclapion i reinstalled the manjaroiso 0.8.11.2 pkg this work
Pantheon Community Edition & Budgie Desktop Edition
www.forum.manjaro-it.org
Canale IRC italiano
#manjaro-it